<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#EDEDEE"
    android:orientation="vertical"
    tools:context=".activity.SettingActivity">

    <View
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:background="@color/white" />

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/white"
        tools:ignore="UselessParent">

        <FrameLayout
            android:id="@+id/fl_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:padding="10dp">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="6dp"
                android:src="@mipmap/fanhui"
                android:tint="@color/black"
                tools:ignore="ContentDescription,UseAppTint" />
        </FrameLayout>


        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:text="Settings"
            android:textColor="@color/black"
            android:textSize="19sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />

    </FrameLayout>

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="16dp"
        android:layout_marginTop="20dp"
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="15dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="60dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical|start"
                    android:layout_marginStart="12dp"
                    android:text="Notification toolbar"
                    android:textColor="@color/black"
                    android:textSize="16sp"
                    tools:ignore="HardcodedText" />

                <androidx.appcompat.widget.SwitchCompat
                    android:id="@+id/switch_stay_notification"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical|end"
                    android:layout_marginEnd="15dp"
                    android:thumb="@drawable/bg_switch_thumb_ffffff"
                    app:thumbTint="@color/white"
                    app:track="@drawable/bg_switch_track"
                    app:trackTint="@color/switch_track_selector"
                    tools:checked="true" />

            </FrameLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:background="#EEEEEE" />

            <FrameLayout
                android:layout_width="match_parent"
                android:layout_height="60dp">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical|start"
                    android:layout_marginStart="12dp"
                    android:text="All Notification message"
                    android:textColor="@color/black"
                    android:textSize="16sp"
                    tools:ignore="HardcodedText" />

                <androidx.appcompat.widget.SwitchCompat
                    android:id="@+id/switch_fcm_notification"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical|end"
                    android:layout_marginEnd="15dp"
                    android:thumb="@drawable/bg_switch_thumb_ffffff"
                    app:thumbTint="@color/white"
                    app:track="@drawable/bg_switch_track"
                    app:trackTint="@color/switch_track_selector"
                    tools:checked="true" />
            </FrameLayout>

        </LinearLayout>


    </androidx.cardview.widget.CardView>


    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="16dp"
        android:layout_marginTop="20dp"
        app:cardBackgroundColor="@color/white"
        app:cardCornerRadius="15dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/ll_score"
                android:layout_width="match_parent"
                android:layout_height="60dp"
                android:background="?attr/selectableItemBackground"
                android:clickable="true"
                android:focusable="true"
                android:gravity="center_vertical">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="18dp"
                    android:layout_marginEnd="10dp"
                    android:importantForAccessibility="no"
                    android:src="@mipmap/score"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="Score"
                    android:textColor="#000000"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="18dp"
                    android:src="@mipmap/jianotu" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:background="#EEEEEE" />

            <LinearLayout
                android:id="@+id/ll_privacy"
                android:layout_width="match_parent"
                android:layout_height="60dp"
                android:background="?attr/selectableItemBackground"
                android:clickable="true"
                android:focusable="true"
                android:gravity="center_vertical">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="18dp"
                    android:layout_marginEnd="10dp"
                    android:importantForAccessibility="no"
                    android:src="@mipmap/privacy"
                    tools:ignore="ContentDescription" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="Privacy Policy"
                    android:textColor="#000000"
                    android:textSize="16sp"
                    android:textStyle="bold"
                    tools:ignore="HardcodedText" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="18dp"
                    android:src="@mipmap/jianotu" />

            </LinearLayout>

            <!--            <View-->
            <!--                android:layout_width="match_parent"-->
            <!--                android:layout_height="1px"-->
            <!--                android:background="#EEEEEE" />-->

            <!--            <LinearLayout-->
            <!--                android:id="@+id/ll_user_agreement"-->
            <!--                android:layout_width="match_parent"-->
            <!--                android:layout_height="60dp"-->
            <!--                android:background="?attr/selectableItemBackground"-->
            <!--                android:clickable="true"-->
            <!--                android:focusable="true"-->
            <!--                android:orientation="horizontal">-->

            <!--                <ImageView-->
            <!--                    android:layout_width="wrap_content"-->
            <!--                    android:layout_height="wrap_content"-->
            <!--                    android:layout_gravity="center_vertical"-->
            <!--                    android:layout_marginStart="18dp"-->
            <!--                    android:layout_marginEnd="10dp"-->
            <!--                    android:importantForAccessibility="no"-->
            <!--                    android:src="@mipmap/privacy"-->
            <!--                    tools:ignore="ContentDescription" />-->

            <!--                <TextView-->
            <!--                    android:layout_width="0dp"-->
            <!--                    android:layout_height="wrap_content"-->
            <!--                    android:layout_gravity="center_vertical"-->
            <!--                    android:layout_weight="1"-->
            <!--                    android:text="User Agreement"-->
            <!--                    android:textColor="@color/black"-->
            <!--                    android:textSize="16sp"-->
            <!--                    android:textStyle="bold"-->
            <!--                    tools:ignore="HardcodedText" />-->

            <!--                <androidx.appcompat.widget.AppCompatImageView-->
            <!--                    android:layout_width="wrap_content"-->
            <!--                    android:layout_height="wrap_content"-->
            <!--                    android:layout_gravity="center_vertical"-->
            <!--                    android:layout_marginEnd="18dp"-->
            <!--                    android:src="@mipmap/jianotu" />-->
            <!--            </LinearLayout>-->

        </LinearLayout>

    </androidx.cardview.widget.CardView>


    <TextView
        android:id="@+id/tvToken"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />


</LinearLayout>